Debian Bug report logs - #572508
[manpages-dev] getline encourages to use unneeded NULL pointer check

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Robert Wohlrab <robert.wohlrab@gmx.de>

Date: Thu, 4 Mar 2010 15:42:02 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version manpages/3.24-1

Fixed in version manpages/3.25-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#572508; Package manpages-dev. (Thu, 04 Mar 2010 15:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Wohlrab <robert.wohlrab@gmx.de>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 04 Mar 2010 15:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Wohlrab <robert.wohlrab@gmx.de>
To: submit@bugs.debian.org
Subject: [manpages-dev] getline encourages to use unneeded NULL pointer check
Date: Thu, 4 Mar 2010 16:38:17 +0100
[Message part 1 (text/plain, inline)]
Package: manpages-dev
Version: 3.24-1
Severity: wishlist

The manpage of getline shows an example with an extra NULL pointer check 
before it calls free. This is unneeded according to free(3)

  If ptr is NULL, no operation is performed.

Can you please remove the if to make the example easier to read and to be more 
consistent with the statements given in free(3).
-- 
Robert Wohlrab
[getline_nocheck_free.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#572508; Package manpages-dev. (Sat, 12 Jun 2010 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 12 Jun 2010 16:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 572508@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Robert Wohlrab <robert.wohlrab@gmx.de>, 572508@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#572508: [manpages-dev] getline encourages to use unneeded NULL pointer check
Date: Sat, 12 Jun 2010 18:10:47 +0200
tags 572508 fixed-upstream
thanks

On Thu, Mar 4, 2010 at 5:38 PM, Robert Wohlrab <robert.wohlrab@gmx.de> wrote:
> Package: manpages-dev
> Version: 3.24-1
> Severity: wishlist
>
> The manpage of getline shows an example with an extra NULL pointer check
> before it calls free. This is unneeded according to free(3)
>
>  If ptr is NULL, no operation is performed.
>
> Can you please remove the if to make the example easier to read and to be more
> consistent with the statements given in free(3).

Speaking from upstream, I've accepted this patch, for upstream man-pages-3.25.

Cheers,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface" http://blog.man7.org/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Sat, 12 Jun 2010 16:15:10 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Mon, 05 Jul 2010 09:33:17 GMT) Full text and rfc822 format available.

Notification sent to Robert Wohlrab <robert.wohlrab@gmx.de>:
Bug acknowledged by developer. (Mon, 05 Jul 2010 09:33:17 GMT) Full text and rfc822 format available.

Message #17 received at 572508-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 572508-close@bugs.debian.org
Subject: Bug#572508: fixed in manpages 3.25-1
Date: Mon, 05 Jul 2010 09:32:23 +0000
Source: manpages
Source-Version: 3.25-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.25-1_all.deb
  to main/m/manpages/manpages-dev_3.25-1_all.deb
manpages_3.25-1.diff.gz
  to main/m/manpages/manpages_3.25-1.diff.gz
manpages_3.25-1.dsc
  to main/m/manpages/manpages_3.25-1.dsc
manpages_3.25-1_all.deb
  to main/m/manpages/manpages_3.25-1_all.deb
manpages_3.25.orig.tar.gz
  to main/m/manpages/manpages_3.25.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572508@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Jul 2010 11:18:20 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.25-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 406946 419751 519781 568710 572508 575467
Changes: 
 manpages (3.25-1) unstable; urgency=low
 .
   * New upstream version
     . Remove unneeded check before free() (closes: Bug#572508)
   * Add back pthread_* manpages, thus replace even newer versions of
     glibc-doc (closes: Bug#519781)
   * Add note about alignment to iconv(3) (closes: Bug#406946)
   * Add new mallopt(3) manpage by Justin Pryzby (closes: Bug#419751)
   * Add reference to mallopt(3) to malloc(3)
   * Remove reference to rejected paragraph in system(3) since it has been
     accepted in the meantime (closes: Bug#575467)
   * Remove reference to the GNU regex manual from regex(3) since it seems
     to be obsolete (closes: Bug#568710)
   * Adjust section in SEE ALSO in undocumented(7) (closes: Bug$#506653)
   * Adjust section in statvfs(3)
Checksums-Sha1: 
 3df80f9856e92ff8c98a7508851d042ef89e10eb 954 manpages_3.25-1.dsc
 78262eeff9e9e94402c6c1587ea1cc1862756b8a 1622379 manpages_3.25.orig.tar.gz
 9dd6f633020d6f267b8911432ff07b19ffe0d17c 57341 manpages_3.25-1.diff.gz
 102cab65f846d3f383c6f012ba40c95db7ac935c 724570 manpages_3.25-1_all.deb
 f77ce1117ad854bb6f09f6013a48debd8158553d 1627870 manpages-dev_3.25-1_all.deb
Checksums-Sha256: 
 f3f03cd559ac67168a4e495891bb9a5272e9f724222cccf5e7228e8777a16f55 954 manpages_3.25-1.dsc
 474242842a78dc2121687b7db6c32b6c78af5458f2bd809e23563dd185e2b169 1622379 manpages_3.25.orig.tar.gz
 a29ddd4b704b2c3c167d23aa87bb1f448d1ea1865e7dff17eb2cfc732dc45469 57341 manpages_3.25-1.diff.gz
 e2d1002b3088b6e589bd994b0f2797376e79f47f3f638db817fc98a0ca193ea5 724570 manpages_3.25-1_all.deb
 57c09c532c696fae9f5cce9dbd9f8743a6ba80165f4a1303413e3b4f9df51cbd 1627870 manpages-dev_3.25-1_all.deb
Files: 
 55b8929e04f0e552772a25081f557367 954 doc important manpages_3.25-1.dsc
 98ec2324abea77d7a992470dd44d140c 1622379 doc important manpages_3.25.orig.tar.gz
 99da3b86f5b915a24ccfd0f7ec4fb264 57341 doc important manpages_3.25-1.diff.gz
 ab2f08d2fdf77add7172a94ad819f49b 724570 doc important manpages_3.25-1_all.deb
 277cb8df5c9a54f9dc66ead8d07959b1 1627870 doc optional manpages-dev_3.25-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMMaQyW5ql+IAeqTIRAqVEAKCygdINf5xKWhltfdLPCWtT40Fd2gCfUlJq
tOr8aM9aGlc/1ihkTPhrjrM=
=/vyN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:32:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.